View Issue Details

IDProjectCategoryView StatusLast Update
0003801TechDraw[FreeCAD] Bugpublic2019-02-10 12:40
ReporteruwestoehrAssigned Towandererfan 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.18 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003801: impossible to specify custom projection view values - body will be deleted instead
DescriptionI found a severe bug in FreeCAD
Windows 7 64-bit, Version: 0.18.15694 (Git)
- create a drawing from a body of your choice and select as template "A2_Landscape_ISO7200TD.svg"
- use the menu TechDraw-> Insert Projection Group
- double click in the field for the Primary view selection to modify it. For example in my case I see there:
[0,96 -0,27 -0,05]
and I need
[0,75 -0,27 -0,05]
thus I double click on the "96" and press DEL to be able to input the desired "75" afterwards

result: I get a strange warning, see attached screenshot I don't want to delete anything, just remove the numbers to input new ones.

final result: the pressing Yes in the warning dialog, I don't get the desired projection and, more severe, my body is deleted!
So my body will be deleted despite I just wanted to delete a number in the projection view settings.

p.s. I tried to report this first to the Open discussion forum but the software only tells me "You cannot make another post so soon after your last." but
https://forum.freecadweb.org/search.php?search_id=egosearch
tells me that I have not made any post. (which is obviously correct)
TagsTechDraw

Activities

uwestoehr

2019-01-27 03:59

reporter  

uwestoehr

2019-01-27 14:48

reporter   ~0012534

Today I could post to the forum. Here is the thread:
https://forum.freecadweb.org/viewtopic.php?f=35&t=33776

uwestoehr

2019-01-27 21:19

reporter   ~0012536

This bug was confirmed in the mentioned forum thread.

wandererfan

2019-01-30 14:09

developer   ~0012562

The "current primary view direction" field is display only, it can not be used to change
the direction. Primary View direction should be changed in the PropertyEditor if specific values are required. Select the "Front" View, then modify the Direction property.

The dialog has been changed so that "current primary view direction" can not receive focus in commit commit 0f00402201.

Issue History

Date Modified Username Field Change
2019-01-27 03:59 uwestoehr New Issue
2019-01-27 03:59 uwestoehr Tag Attached: TechDraw
2019-01-27 03:59 uwestoehr File Added: projection-view-warning.jpg
2019-01-27 14:48 uwestoehr Note Added: 0012534
2019-01-27 21:19 uwestoehr Note Added: 0012536
2019-01-30 14:09 wandererfan Note Added: 0012562
2019-01-30 14:11 wandererfan Assigned To => wandererfan
2019-01-30 14:11 wandererfan Status new => resolved
2019-01-30 14:11 wandererfan Resolution open => fixed
2019-01-30 14:11 wandererfan Fixed in Version => 0.18
2019-01-30 14:11 wandererfan Target Version => 0.18
2019-02-10 12:40 wmayer Status resolved => closed